Debian Bug report logs - #703182
ITP: ruby-slim -- powerful (X)HTML templating engine with an elegant syntax

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jérémy Bobbio <lunar@debian.org>

Date: Sat, 16 Mar 2013 14:06:02 UTC

Owned by: Jérémy Bobbio <lunar@debian.org>

Severity: wishlist

Fixed in version ruby-slim/2.0.0~pre6-1

Done: Jérémy Bobbio <lunar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-ruby-extras-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#703182; Package wnpp. (Sat, 16 Mar 2013 14:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-ruby-extras-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Sat, 16 Mar 2013 14:06:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-slim -- powerful (X)HTML templating engine with an elegant syntax
Date: Sat, 16 Mar 2013 15:03:12 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Jérémy Bobbio <lunar@debian.org>

* Package name    : ruby-slim
  Version         : 2.0.0~pre6
  Upstream Author : Daniel Mendler, Andrew Stone and Fred Wu
* URL             : http://slim-lang.com/
* License         : Expat
  Programming Lang: Ruby
  Description     : powerful (X)HTML templating engine with an elegant syntax

Slim is a template language whose goal is to reduce the view syntax to
the essential parts without becoming cryptic.

A short list of the features:
 - elegant syntax: short syntax without closing tags, HTML style mode
   with closing tags and configurable shortcut tags
 - automatic HTML escaping and support for Rails' `html_safe?`
 - highly configurable and extendable via plugins: logic less mode
   similar to Mustache and translator/I18n support among others.
 - high performance: comparable speed to ERB and streaming support in
   Rails
 - supported by all major frameworks (Rails, Sinatra, ...)
 - full Unicode support for tags and attributes on Ruby 1.9
 - embedded engines like Markdown and Textile

-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 703182 blocks 703068 Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Wed, 03 Apr 2013 14:51:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 703182: 703145 Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Wed, 03 Apr 2013 14:51:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 703182: 703148 Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Wed, 03 Apr 2013 14:51:14 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 13 Apr 2013 20:06:03 GMT) Full text and rfc822 format available.

Reply sent to Jérémy Bobbio <lunar@debian.org>:
You have taken responsibility. (Fri, 19 Apr 2013 10:03:23 GMT) Full text and rfc822 format available.

Notification sent to Jérémy Bobbio <lunar@debian.org>:
Bug acknowledged by developer. (Fri, 19 Apr 2013 10:03:23 GMT) Full text and rfc822 format available.

Message #18 received at 703182-close@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 703182-close@bugs.debian.org
Subject: Bug#703182: fixed in ruby-slim 2.0.0~pre6-1
Date: Fri, 19 Apr 2013 10:00:09 +0000
Source: ruby-slim
Source-Version: 2.0.0~pre6-1

We believe that the bug you reported is fixed in the latest version of
ruby-slim, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703182@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Bobbio <lunar@debian.org> (supplier of updated ruby-slim package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 13 Apr 2013 08:20:54 +0000
Source: ruby-slim
Binary: ruby-slim
Architecture: source all
Version: 2.0.0~pre6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Jérémy Bobbio <lunar@debian.org>
Description: 
 ruby-slim  - powerful (X)HTML templating engine with an elegant syntax
Closes: 703182
Changes: 
 ruby-slim (2.0.0~pre6-1) unstable; urgency=low
 .
   * Initial release (Closes: #703182)
Checksums-Sha1: 
 eed1b8832e7675fdc4d23fb0bfe2bd0f3618a3fc 2225 ruby-slim_2.0.0~pre6-1.dsc
 c22692735305815029a81dd52123112010bc0e23 61031 ruby-slim_2.0.0~pre6.orig.tar.gz
 17ef808ef7a38613b0502499aecaa2bb9ab4973c 3140 ruby-slim_2.0.0~pre6-1.debian.tar.gz
 3849f77ebaaf460946b80bc832a9be8c95415911 35762 ruby-slim_2.0.0~pre6-1_all.deb
Checksums-Sha256: 
 fa46c8ccf2b8572977a3c7d6f8ceffe28159e0ac74d3bf6d6d0d2b5a1b41e75d 2225 ruby-slim_2.0.0~pre6-1.dsc
 2a55f9c4ffb6eec404a385d796e5eb2fc2546f48c24b603f0a80ee96ed78675c 61031 ruby-slim_2.0.0~pre6.orig.tar.gz
 f07b2ec248afcb6b9130c0c41cab35160b9e9cd988d3334a7f6bab78b3447428 3140 ruby-slim_2.0.0~pre6-1.debian.tar.gz
 34ebec83b6d6fb06068a2ecf9e4463c3813c651d93bac3e29dd80bb17fdaa6b6 35762 ruby-slim_2.0.0~pre6-1_all.deb
Files: 
 49a254eec5e1f55d3efbf81952142692 2225 ruby optional ruby-slim_2.0.0~pre6-1.dsc
 549011935d043b9667b08e68a03c6929 61031 ruby optional ruby-slim_2.0.0~pre6.orig.tar.gz
 141e68255105fae63899ad7306972ade 3140 ruby optional ruby-slim_2.0.0~pre6-1.debian.tar.gz
 b67eda176d9f3424ae80e4a0c549e5d6 35762 ruby optional ruby-slim_2.0.0~pre6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJRaRdpAAoJEEgU3sIrMHw8T64QAMQ/yS0lv8ChBmaHYVEjd2Oe
wdvyz2TbQjU6oSiXHPuX9czJW0xyU63Bjji2BAdAetSw8s4gk0a5gdCRj+0I+TVd
C/CsEKj83i36Ij/Ehu9dwsGmnrWs2m8Jc1z+lmsjqY6A06W+UOlEVN7M8f5cLzCA
cxYsHx6vULzVcWc1o7U1mLRNGC3+E8cPMvaNSs/8XfepXqwvQPv5vzdlUMwaLhma
pgzxZN4FotGPdLzrjCYTyBcZPWA5qhaF8EUTLJlfvEkAUnZHdwsCAbsOYRn1+hma
d7wSTCii5lw05TgpQRyd3f37ijRifzALbQKJCQ6fO1xndZcH3esYbAGJLekuVjMS
+fj97/6nQIwUD6/GNiyCVlWgSifU2abNUvE7gVxMkPm+GBnyw5OLCrVjJV3WmhO2
QczZlh+qNdclEHm8r7QxEzNPcwo7NnJDZHFgdWLPkJeLEkvN47YuIHUIUlOiSEnD
71Qn9+5aQxVvEg8iT3v+k3Kx9ysTTHdgKR4ErFyLnnQJpB8r2NWMY2Aq37f4QgYM
NGY4BXl+zMAFMosNn4bKe24witMa5/aWjrsfv6Q+tT6cvE9jcYY3VZykQ9bWfsWH
9nYvvr3vcvxDZD3WW7dvHrMl7Yx1TNigm9SALWEtANl8HyssirOnoKAT/kkGZ7Fv
q6zMezwIfo9blhpnmWfU
=Ojqq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 May 2013 07:34:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:28:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.